Subject: bug#1436: 23.0.60; region-active-p and kill-ring-save

From: Leo <[email-masked]>
Date: Wed, 26 Nov 2008 17:46:22 +0000

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

The news says:

*** `region-active-p' returns non-nil when Transient Mark mode is
enabled and there is an active region.  This is NOT the best function
to use to test whether a command should operate on the region instead
of the usual behavior -- for that, use `use-region-p'.

However, kill-ring-save uses region-active-p, is that not contradictory?

BTW, the doc string of use-region-p seems to make little sense.

Best,

Leo